%define modulename CreditMetrics
%define realver 0.0-2
%define r_library %{_libdir}/R/library

Summary:	Functions for calculating the risk model for R
Name:		R-cran-%{modulename}
Version:	%(echo %realver|tr '-' '.')
Release:	%mkrel 1
License:	GPLv2+
Group:		Sciences/Mathematics
Url:		http://cran.r-project.org/web/packages/%{modulename}/index.html
Source0:	http://cran.r-project.org/src/contrib/%{modulename}_%{realver}.tar.gz
BuildRequires:	R-base
Requires:	R-base
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
A set of functions for computing the CreditMetrics risk model.

%prep
%setup -q -c

%build

R CMD build %{modulename}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}/%{r_library}

# (tpg) install
R CMD INSTALL %{modulename} --library=%{buildroot}/%{r_library}

# (tpg) provided by R-base
rm -rf %{buildroot}/%{r_library}/R.css

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{r_library}/%{modulename}


%changelog
* Fri Dec 25 2009 Jérôme Brenier <incubusss@mandriva.org> 0.0.2-1mdv2010.1
+ Revision: 482254
- new version 0.0.2

* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.0.1-5mdv2010.0
+ Revision: 433080
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.0.1-4mdv2009.0
+ Revision: 260129
- rebuild
- rebuild

* Sun Feb 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.1-1mdv2008.1
+ Revision: 169935
- complete spec file
- fix Url
- add source and spec file
- Created package structure for R-cran-CreditMetrics.

